Skip to main content
Operations Management/Tenant Management (Plus)/Organization Operations
GETOrganization OperationsSince 4.3.6SynchronousAuth Required

UpdateOrganizationQuota

UpdateOrganizationQuota

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • updateorganizationquotaObjectRequired

    updateorganizationquota request body object.

    • identityUuidStringRequired

      The identity UUID.

    • nameStringRequired

      The quota name.

    • valuelongRequired

      The modified value.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

GET/zstack/v1/iam2/Organization/quotas/actions

/zstack/v1/iam2/Organization/quotas/actions

Operation ID

UpdateOrganizationQuota

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/iam2/Organization/quotas/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateorganizationquota":{"identityUuid":"<identityUuid>","name":"<name>","value":1},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "name": "quota", "identityUuid": "09081c19d997357ca8f07b4c44ddc640", "value": 20.0 } }

Change History

This API has no change history records yet.

View all change history